Bug 204955 - Review Request: digikamimageplugins-doc - Documentation for digiKamimageplugins
Review Request: digikamimageplugins-doc - Documentation for digiKamimageplugins
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-01 13:42 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-04 08:46:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Marcin Garski 2006-09-03 13:05:01 EDT
rpmlint says:
E: digikamimageplugins-doc configure-without-libdir-spec
W: digikamimageplugins-doc mixed-use-of-spaces-and-tabs
W: digikamimageplugins-doc patch-not-applied Patch1:
digikamimageplugins-doc-0.8.2-noarch.patch

+ Build fine on x86_64
+ BuildRoot is correct
+ Source URL is correct
+ License used is GFDL
+ License file README is included
+ MD5 sum on tarball match upstream tarball
9735437a0f385e28c2179ea25965d78f  digikamimageplugins-doc-0.8.2-r1.tar.bz2
Comment 2 Jason Tibbitts 2006-10-02 01:15:45 EDT
This is a bit of an odd package, since it's noarch but has a configure script. 
It builds fine, though.  rpmlint says:

E: digikamimageplugins-doc configure-without-libdir-spec
  OK, it's complaining about the string "./configure" in a comment.  Jeez.

W: digikamimageplugins-doc mixed-use-of-spaces-and-tabs (spaces: line 51, tab:
line 2)
  Completely bogus.

W: digikamimageplugins-doc patch-not-applied Patch1:
digikamimageplugins-doc-0.8.2-noarch.patch
  Indeed, the patch is not applied.  I suppose you should choose which method
you want to use to trick configure into not blowing up on a noarch build and
elide the rest.

W: digikamimageplugins-doc dangling-relative-symlink
/usr/share/doc/HTML/pt_BR/digikamimageplugins/common ../common
  A bunch of these, all of which are normal for KDE applications.

I can't run the full review because I can't get the upstream source.  In fact, I
can't even find a link to it on the upstream web site.  I can't tell if the link
in the spec is invalid or if it's just sourcefudge being useless as usual.

Did you intend to leave out the dist tag?

? source files match upstream.
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
X dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible. License text included in package.
? latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint has bogus or ignorable complaints.
* final provides and requires are sane:
   digikamimageplugins-doc = 0.8.2-1
  =
   digikamimageplugins = 0.8.2
* %check is not present; it's kind of tough to test documentation.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* documentation is exempted from the "code, not content" rule.
Comment 3 Rex Dieter 2006-10-02 09:18:21 EDT
> I can't run the full review because I can't get the upstream source. 

Grr... this *used* to work, 
http://dl.sourceforge.net/%{name}/%{name}-%{version}-r1.tar.bz2
but now, it appears, one must prepend a mirror, so use (something like):
http://osdn.dl.sourceforge.net/%{name}/%{name}-%{version}-r1.tar.bz2
Comment 4 Rex Dieter 2006-10-02 09:19:51 EDT
Nevermind, looks like I biffed the Source tag altogether...
Lemme go find one that actually works...
Comment 5 Rex Dieter 2006-10-02 09:31:58 EDT
Spec URL:
http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/digikamimageplugins-doc.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/digikamimageplugins-doc-0.8.2-2.src.rpm

%changelog
* Mon Oct 02 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.2-2
- Release: use %%{?dist}
- Source: include URL that actually works
Comment 6 Jason Tibbitts 2006-10-03 22:12:39 EDT
OK, this one is much better.  The source matches:
  9735437a0f385e28c2179ea25965d78f  digikamimageplugins-doc-0.8.2-r1.tar.bz2
and the dist tag is there.

APPROVED
Comment 7 Rex Dieter 2006-10-04 08:46:44 EDT
Importing, thanks for the review.
Comment 8 Rex Dieter 2007-03-27 08:59:02 EDT
Package Change Request
======================
Package Name: digikamimageplugins-doc
Updated Fedora Owners: mgarski@post.pl
Comment 9 Jens Petersen 2007-03-27 09:35:54 EDT
Is the intention to add a comaintainer or a change of package ownership?
Please clarify and set fedora-cvs to '?' again.
Comment 10 Rex Dieter 2007-03-27 09:44:24 EDT
Package Change Request
======================
Package Name: digikamimageplugins-doc
Updated Fedora Cc: mgarski@post.pl

+comaintainer.

Note You need to log in before you can comment on or make changes to this bug.